<?php get_header(); ?>

<main class="main">

	<article class="entry error-404 not-found">
		<header class="entry-header">

			<h1 class="entry-title">
				<?php echo esc_html( get_theme_mod( 'title_404', __( 'Page not found', 'lense' ) ) ); ?>
			</h1>

		</header>

		<div class="entry-content">
			<p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'lense' ); ?></p>

			<?php get_search_form(); ?>
		</div>
	</article>

</main>

<?php get_footer();
