<?php get_header(); ?>

<main class="main">

	<?php while ( have_posts() ) : the_post(); ?>

		<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>

			<?php lense_the_post_header(); ?>

			<?php lense_the_post_thumbnail(); ?>

			<div class="entry-content">
				<?php the_content(); ?>

				<?php wp_link_pages( array(
					'before'      => '<div class="page-links">' . esc_html__( 'Pages:', 'lense' ),
					'after'       => '</div>',
					'link_before' => '<span class="page-number">',
					'link_after'  => '</span>',
				) ); ?>
			</div>

		</article>

		<?php comments_template(); ?>

	<?php endwhile; ?>

</main>

<?php get_footer();
