<?php
/**
 * Template Name: Gallery page
 */

get_header(); ?>

<main class="main main-full">

	<?php while ( have_posts() ) : the_post(); ?>

		<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>

			<?php lense_the_post_header(); ?>

			<?php lense_the_post_thumbnail( 'lense_fullwidth' ); ?>

			<?php $post = get_post(); ?>
			<?php if ( ! lense_is_content_empty( $post->post_content ) ) : ?>
				<div class="entry-content">
					<?php the_content(); ?>
				</div>
			<?php endif; ?>

			<?php if ( ! post_password_required() ) {
				lense_page_gallery();
			} ?>

		</article>

		<?php comments_template(); ?>

	<?php endwhile; ?>

</main>

<?php get_footer();
