<?php
/**
 * Template Name: Narrow width page
 */

get_header(); ?>

<main class="main main-narrow">

	<?php while ( have_posts() ) : the_post(); ?>

		<article id="entry-<?php the_ID(); ?>" <?php post_class( 'entry' ); ?>>

			<?php lense_the_post_header(); ?>

			<?php lense_the_post_thumbnail( 'lense_narrow_width' ); ?>

			<div class="entry-content">
				<?php the_content(); ?>
			</div>

		</article>

		<?php comments_template(); ?>

	<?php endwhile; ?>

</main>

<?php get_footer();
