<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>

<div id="page">

<div class="layout-wrap">
	<div class="layout-sidebar">
		<div class="sidebar">
			<header class="header">

				<?php lense_the_site_identity_override(); ?>

				<a href="#" class="mobile-toggle">
					<i class="fa fa-navicon"></i>
				</a>
			</header>

			<div class="sidebar-wrap">
				<nav class="nav">
					<?php
						wp_nav_menu( array(
							'theme_location' => 'menu-1',
							'container'      => '',
							'menu_id'        => 'header-menu-1',
							'menu_class'     => 'navigation-main',
						) );
					?>
				</nav>

				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>

	<div class="layout-content">
